MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004902Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2003-12-23 09:552017-12-05 17:08
Reporterskl 
Assigned Tomsv 
PrioritynormalSeveritytrivial 
StatusassignedResolutionopen 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0004902: Incorrected work of DRAW command bcut
DescriptionAfter performing command bcut for two attached shapes (Arg1 and Arg2) we
receive incorrect result (both "bcut res Arg1 Arg2" and "bcut res Arg2 Arg1).
Steps To Reproducepload MODELING

restore [locate_data_file TOP180_Arg1] a1
restore [locate_data_file TOP180_Arg2] a2

checkshape a1
checkshape a2
bopargcheck a1 a2

bcut r12 a1 a2
bcut r21 a2 a1

checkshape r12
checkshape r21

incmesh r12 0.01
incmesh r21 0.01
TagsNo tags attached.
Test case number
Attached Files? file icon TOP180_Arg1 (5,176 bytes) 2003-12-23 07:55
? file icon TOP180_Arg2 (789 bytes) 2003-12-23 07:56
zip file icon ofv-4902-rough.zip (17,838 bytes) 2004-03-19 15:03

- Relationships
related to 0000476closedskl Regression on reading e3i files with respect of OCC30 and OCC40 

-  Notes
(0038770)
abv (manager)
2015-03-22 12:29

I confirm the problem still exists in current master.

Notably checkshape reports result as valid, though it is obviously wrong (looking weird; solid contains single face consisting of two wires and two inner vertices, etc.). Thus it is one more case when checkshape is unable to diagnose bad result.
(0057845)
bugmaster (administrator)
2016-09-16 10:04

Problem is reproduced on master from 2016-09-08.

- Issue History
Date Modified Username Field Change
2003-12-23 10:09 bugmaster BugsThisDependsOn => 476
2004-01-08 11:28 bugmaster Assigned To bugmaster => mkk
2004-01-08 11:28 bugmaster Status new => assigned
2004-03-09 15:49 bugmaster Assigned To mkk => ofv
2004-03-19 16:54 bugmaster Status assigned => closed
2004-03-19 16:54 bugmaster Resolution @0@ => suspended
2004-03-19 16:54 bugmaster validate => 1
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2015-03-22 12:29 abv Note Added: 0038770
2015-03-22 12:29 abv Assigned To ofv => msv
2015-03-22 12:29 abv Status acknowledged => assigned
2015-03-22 12:29 abv Resolution suspended => open
2015-03-22 12:29 abv Fixed in Version EMPTY =>
2015-03-22 12:29 abv Target Version => 6.9.0
2015-03-22 12:29 abv Description Updated View Revisions
2015-03-22 12:29 abv Steps to Reproduce Updated View Revisions
2015-03-22 13:53 abv Steps to Reproduce Updated View Revisions
2015-04-06 14:02 abv Target Version 6.9.0 => 7.1.0
2016-09-16 10:04 bugmaster Note Added: 0057845
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker